﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 2680A-FAI (90 dy) DCV VER RS-232 /5520
INSTRUMENT:            Sub Fluke 2680A-FAI (90 dy) 4W Res VER RS-232 /5520
DATE:                  2011-04-21 19:25:01
AUTHOR:                Fluke
REVISION:              $Revision: 8204 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       25
NUMBER OF LINES:       314
CONFIGURATION:         Fluke 5520A
=============================================================================
#
#  Procedure Author:
#        GMO, DFM, VY, DAC, ZY
#
#  Model(s) Covered:
#        2680A, 2686A
#
#  Source:
#        268XA Data Acquisition System/Data Logging System Service Manual
#        Document Number: PN 1883791, November 2002
#
#  Compatibility:
#        MET/CAL or 5500/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Fluke 268xA Send Command RS-232
#        Sub Fluke 268xA Query Measurement RS-232
#
#  Required Files:
#        268x_UIM_5520_VER_V_2W.bmp :
#             5520A to 268xA Universal Input Module Voltage connection
#        268x_UIM_5520_VER_Z_4W.bmp :
#             5520A to 268xA Universal Input Module 4-Wire Ohm connection
#        268x_UIM_5520_VER_Z_4W_2W.bmp :
#             5520A to 268xA Universal Input Module "2-Wire to 4W" Ohm con.
#
# Additional Equipment Required:
#        Specially configured Universal Input Module
#        Resistor, carbon composition, 820 Ohms, ± 5%
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         The UUT is initializing, wait...
# Reset the UUT.
  1.002  MATH         @UUTCommand = "*RST"
  1.003  CALL         Sub Fluke 268xA Send Command RS-232
  1.004  JMPL         END                          @Abort
# Set sample rate for UUT.
  1.005  MATH         @UUTCommand = "RATE " & @SlotTested & ",SLOW"
  1.006  CALL         Sub Fluke 268xA Send Command RS-232
  1.007  JMPL         END                          @Abort
# Set the sub procedure jump destination.
  1.008  JMPL         DCV                          PSUBI("DCV")
  1.009  JMPL         4W_RES                       PSUBI("4W Res")
  1.010  DISP         {Undefined subprocedure!}
  1.011  END

  1.012  EVAL   Increment step number

# =========== Sub Fluke 2680A-FAI (90 dy) DCV VER RS-232 /5520 ==========

  2.001  LABEL        DCV
  2.002  RSLT         =
  2.003  HEAD         {VOLTS DC ACCURACY TEST - SLOW RATE}

  2.004  RSLT         =
  2.005  HEAD         -2{90 mV Range}
  2.006  TARGET       -p
  2.007  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
  2.008  HEAD         -2 90 mV Range
  2.009  PIC          268x_UIM_5520_VER_V_2W
  2.010  MATH         @UUTCommand = "FUNC " & @SlotTested & "01,VDC,5"
  2.011  MATH         @QueryCommand = "MEAS? " & @SlotTested & "01"
  2.012  CALL         Sub Fluke 268xA Send Command RS-232
  2.013  JMPL         END                          @Abort
  2.014  5520         0.000mV                                           S  2W
  2.015  TARGET       -m
  2.016  CALL         Sub Fluke 268xA Query Measurement RS-232
  2.017  JMPL         END                          @Abort
  2.018  MATH         MEM = MEM / 1E-3
  2.019  MEMCX  90    0.000mV        0.01% 0.020U

  3.001  5520         90.000mV                                          S  2W
  3.002  TARGET       -m
  3.003  CALL         Sub Fluke 268xA Query Measurement RS-232
  3.004  JMPL         END                          @Abort
  3.005  MATH         MEM = MEM / 1E-3
  3.006  MEMCX  90    90.000mV       0.01% 0.020U

  4.001  5520         -90.000mV                                         S  2W
  4.002  TARGET       -m
  4.003  CALL         Sub Fluke 268xA Query Measurement RS-232
  4.004  JMPL         END                          @Abort
  4.005  MATH         MEM = MEM / 1E-3
  4.006  MEMCX  90    -90.000mV      0.01% 0.020U

  5.001  RSLT         =
  5.002  HEAD         -2{300 mV Range}
  5.003  TARGET       -p
  5.004  MATH         @UUTCommand = "FUNC " & @SlotTested & "01,VDC,1"
  5.005  CALL         Sub Fluke 268xA Send Command RS-232
  5.006  JMPL         END                          @Abort
  5.007  5520         0.000mV                                           S  2W
  5.008  TARGET       -m
  5.009  CALL         Sub Fluke 268xA Query Measurement RS-232
  5.010  JMPL         END                          @Abort
  5.011  MATH         MEM = MEM / 1E-3
  5.012  MEMCX  300   0.000mV        0.01% 0.040U

  6.001  5520         300.000mV                                         S  2W
  6.002  TARGET       -m
  6.003  CALL         Sub Fluke 268xA Query Measurement RS-232
  6.004  JMPL         END                          @Abort
  6.005  MATH         MEM = MEM / 1E-3
  6.006  MEMCX  300   300.000mV      0.01% 0.040U

  7.001  5520         -300.000mV                                        S  2W
  7.002  TARGET       -m
  7.003  CALL         Sub Fluke 268xA Query Measurement RS-232
  7.004  JMPL         END                          @Abort
  7.005  MATH         MEM = MEM / 1E-3
  7.006  MEMCX  300   -300.000mV     0.01% 0.040U

  8.001  RSLT         =
  8.002  HEAD         -2{3 V Range}
  8.003  TARGET       -p
  8.004  MATH         @UUTCommand = "FUNC " & @SlotTested & "01,VDC,2"
  8.005  CALL         Sub Fluke 268xA Send Command RS-232
  8.006  JMPL         END                          @Abort
  8.007  5520         0.00000V                                          S  2W
  8.008  TARGET       -m
  8.009  CALL         Sub Fluke 268xA Query Measurement RS-232
  8.010  JMPL         END                          @Abort
  8.011  MEMCX  3     0.00000V       .01% .00030U

  9.001  5520         3.00000V                                          S  2W
  9.002  TARGET       -m
  9.003  CALL         Sub Fluke 268xA Query Measurement RS-232
  9.004  JMPL         END                          @Abort
  9.005  MEMCX  3     3.00000V       .01% .00030U

 10.001  5520         -3.00000V                                         S  2W
 10.002  TARGET       -m
 10.003  CALL         Sub Fluke 268xA Query Measurement RS-232
 10.004  JMPL         END                          @Abort
 10.005  MEMCX  3     -3.00000V      .01% .00030U

 11.001  RSLT         =
 11.002  HEAD         -2{30 V Range}
 11.003  TARGET       -p
 11.004  MATH         @UUTCommand = "FUNC " & @SlotTested & "01,VDC,3"
 11.005  CALL         Sub Fluke 268xA Send Command RS-232
 11.006  JMPL         END                          @Abort
 11.007  5520         0.0000V                                           S  2W
 11.008  TARGET       -m
 11.009  CALL         Sub Fluke 268xA Query Measurement RS-232
 11.010  JMPL         END                          @Abort
 11.011  MEMCX  30    0.0000V        0.01% 0.0040U

 12.001  5520         30.0000V                                          S  2W
 12.002  TARGET       -m
 12.003  CALL         Sub Fluke 268xA Query Measurement RS-232
 12.004  JMPL         END                          @Abort
 12.005  MEMCX  30    30.0000V       0.01% 0.0040U

 13.001  5520         -30.0000V                                         S  2W
 13.002  TARGET       -m
 13.003  CALL         Sub Fluke 268xA Query Measurement RS-232
 13.004  JMPL         END                          @Abort
 13.005  MEMCX  30    -30.0000V      0.01% 0.0040U

 14.001  RSLT         =
 14.002  HEAD         -2{50 V Range}
 14.003  TARGET       -p
 14.004  MATH         @UUTCommand = "FUNC " & @SlotTested & "01,VDC,4"
 14.005  CALL         Sub Fluke 268xA Send Command RS-232
 14.006  JMPL         END                          @Abort
 14.007  5520         0.000V                                            S  2W
 14.008  TARGET       -m
 14.009  CALL         Sub Fluke 268xA Query Measurement RS-232
 14.010  JMPL         END                          @Abort
 14.011  MEMCX  50    0.000V         0.01% 0.030U

 15.001  5520         50.000V                                           S  2W
 15.002  TARGET       -m
 15.003  CALL         Sub Fluke 268xA Query Measurement RS-232
 15.004  JMPL         END                          @Abort
 15.005  MEMCX  50    50.000V        0.01% 0.030U

 16.001  5520         -50.000V                                          S  2W
 16.002  TARGET       -m
 16.003  CALL         Sub Fluke 268xA Query Measurement RS-232
 16.004  JMPL         END                          @Abort
 16.005  MEMCX  50    -50.000V       0.01% 0.030U

 17.001  JMPL         END

 17.002  EVAL   Increment step number

# =========== Sub Fluke 2680A-FAI (90 dy) 4W Res VER RS-232 /5520 ============

 18.001  LABEL        4W_RES
 18.002  RSLT         =
 18.003  HEAD         {4-WIRE RESISTANCE ACCURACY TEST - SLOW RATE}

 18.004  RSLT         =
 18.005  HEAD         -2{300 Ohm Range}
 18.006  TARGET       -p
 18.007  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
 18.008  HEAD         -2 300 Ohm Range
 18.009  PIC          268x_UIM_5520_VER_Z_4W
 18.010  DISP         Connect the specially configured Universal Input
 18.010  DISP         Module to the MODULE in slot [V @SlotTested].
 18.011  MATH         @UUTCommand = "FUNC " & @SlotTested & "01,OHMS,1,4"
 18.012  MATH         @QueryCommand = "MEAS? " & @SlotTested & "01"
 18.013  CALL         Sub Fluke 268xA Send Command RS-232
 18.014  JMPL         END                          @Abort
 18.015  5520         0.00Z                                             S  4W
 18.016  TARGET       -m
 18.017  CALL         Sub Fluke 268xA Query Measurement RS-232
 18.018  JMPL         END                          @Abort
 18.019  MEMCX  300   0.00Z          +0.06U

 19.001  5520         290.00Z                                           S  4W
 19.002  TARGET       -m
 19.003  CALL         Sub Fluke 268xA Query Measurement RS-232
 19.004  JMPL         END                          @Abort
 19.005  MEMCX  300   290.00Z        0.02% 0.06U

 20.001  RSLT         =
 20.002  HEAD         -2{3 kOhm Range}
 20.003  TARGET       -p
 20.004  MATH         @UUTCommand = "FUNC " & @SlotTested & "01,OHMS,2,4"
 20.005  CALL         Sub Fluke 268xA Send Command RS-232
 20.006  JMPL         END                          @Abort
 20.007  5520         0.0000kZ                                          S  4W
 20.008  TARGET       -m
 20.009  CALL         Sub Fluke 268xA Query Measurement RS-232
 20.010  JMPL         END                          @Abort
 20.011  MATH         MEM = MEM / 1E+3
 20.012  MEMCX  3     0.0000kZ       +0.0006U

 21.001  5520         2.9000kZ                                          S  4W
 21.002  TARGET       -m
 21.003  CALL         Sub Fluke 268xA Query Measurement RS-232
 21.004  JMPL         END                          @Abort
 21.005  MATH         MEM = MEM / 1E+3
 21.006  MEMCX  3     2.9000kZ       0.02% 0.0006U

 22.001  RSLT         =
 22.002  HEAD         -2{30 kOhm Range}
 22.003  TARGET       -p
 22.004  MATH         @UUTCommand = "FUNC " & @SlotTested & "01,OHMS,3,4"
 22.005  CALL         Sub Fluke 268xA Send Command RS-232
 22.006  JMPL         END                          @Abort
 22.007  5520         29.000kZ                                          S  4W
 22.008  TARGET       -m
 22.009  CALL         Sub Fluke 268xA Query Measurement RS-232
 22.010  JMPL         END                          @Abort
 22.011  MATH         MEM = MEM / 1E+3
 22.012  MEMCX  30    29.000kZ       0.02% 0.006U
 23.001  5520         *                                                 S

 23.002  RSLT         =
 23.003  HEAD         -2{300 kOhm Range}
 23.004  TARGET       -p
 23.005  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7][D250]
 23.006  PIC          268x_UIM_5520_VER_Z_4W_2W
 23.007  HEAD         -2 300 KOhm Range
 23.008  MATH         @UUTCommand = "FUNC " & @SlotTested & "01,OHMS,4,4"
 23.009  CALL         Sub Fluke 268xA Send Command RS-232
 23.010  JMPL         END                          @Abort
 23.011  5520         290.00kZ                                          S  2W
 23.012  TARGET       -m
 23.013  CALL         Sub Fluke 268xA Query Measurement RS-232
 23.014  JMPL         END                          @Abort
 23.015  MATH         MEM = MEM / 1E+3
 23.016  MEMCX  300   290.00kZ       0.5% 0.08U

 24.001  RSLT         =
 24.002  HEAD         -2{3 MOhm Range}
 24.003  TARGET       -p
 24.004  MATH         @UUTCommand = "FUNC " & @SlotTested & "01,OHMS,5,4"
 24.005  CALL         Sub Fluke 268xA Send Command RS-232
 24.006  JMPL         END                          @Abort
 24.007  5520         2.9000MZ                                          S  2W
 24.008  TARGET       -m
 24.009  CALL         Sub Fluke 268xA Query Measurement RS-232
 24.010  JMPL         END                          @Abort
 24.011  MATH         MEM = MEM / 1E+6
 24.012  MEMCX  3     2.9000MZ       1.3% 0.0010U

 25.001  LABEL        END
 25.002  HEAD
 25.003  HEAD         -2
 25.004  5520         *                                                 S
 25.005  END
